That sounds like a cut-and-paste error, as the code worked without that error on my system. The attached Ruby has that method and also the inverse one that selects all solids.
Posts
-
RE: Select Only Solids
-
RE: Nakashima
Interesting orientation of the dovetails: they will keep the top from lifting off, but not the sides from separating.
-
RE: CFileException 5
CFileException 5 means "access denied", i.e. a permissions problem. As Rich notes, this is known to sometimes happen with USB or other external locations of a file.
-
RE: Select Only Solids
Something like this? SLBTest::all_but_solids clears the selection and then adds everything except solids to it. I assumed you wanted attention to the non-solids to fix or eliminate them, but if you want to select the solids the logic could easily be reversed by replacing "unless" with "if".
require "sketchup.rb" module SLBTest def self.all_but_solids sel = Sketchup.active_model.selection sel.clear Sketchup.active_model.entities.each {|ent| unless ((ent.instance_of?(Sketchup;;Group) || ent.instance_of?(Sketchup;;ComponentInstance)) && ent.manifold?) sel.add ent end } end end
-
RE: Sketchup Cutting Report
Joe Zeh's Cutlist Bridge can probably do what you want - it's purpose is to create a file for use by Cutlist Plus. It can be overkill for simpler needs because you have to enter a lot of info into the model, but I believe it handles grain orientation and materials among other things.
-
RE: JPG file shows as a green rectangle
John may be onto something...it seems possible that when you reinstalled Windows and SketchUp you lost the image file that was originally used by the texture. Can you locate it on your disk and check it with a image viewer?
-
RE: JPG file shows as a green rectangle
@cotty said:
@jamesp said:
Version 5
of SketchUp?No - check back to the original post. He version numbers the file each time he makes a major edit.
But that does raise a valid question: what version of SU are you using James?
-
RE: Made a mess
Based on TIG's amazing analysis, your best answer is to try to contact the Comments plugin author, Inteloide (BGSketchup). The last revision was less than a month ago, so it is clear the author is still active. He is probably unaware of your situation because the title of this topic does not mention his plugin!
-
RE: 3D program!
From a 2D image it is not possible to answer you question without guessing! There is no way to determine what is actually 3D vs color shading/texture mapping. But in any case it seems unlikely that SketchUp is the tool to use.
-
RE: SU2015 gives NoMethodError for Length class #abs method
just released this afternoon
-
RE: Made a mess
As pointed out, Trimble no longer supports V8, so you are not likely to get a response from them unless some old hand is feeling bored. Many plugin authors also no longer check compatibility with v8.
Your main clues are your observations #5 and #7. If it works when you run as administrator but not otherwise, there is clearly a permissions issue with something it is trying to do during installation (often lack of write permission but could be some other permission). The plugins installation location changed between v8 and 2014 to not involve locations that are often admin only. I don't know anything specific about the comments plugin, but many old plugins tried to save files and/or data in locations that require admin. Also, 2014 uses a newer version of Ruby. If the plugin author updated it for Ruby 2.0 and didn't bother to test on older versions that could cause issues.
Have you tried opening the Ruby Console window before loading the plugin? You may (no guarantees) see some messages flash there before SU crashes.
-
RE: Ballooning File Size
Seems to me that Elisei is right. Your choices would be to reduce the number of distinct textures or edit the texture files to reduce their size. Otherwise the file bloat is unavoidable because SketchUp embeds the texture images into the file.
-
RE: JPG file shows as a green rectangle
It's a cliche on the support and discussion forums, but posting a question without attaching a model or even a screenshot leaves us guessing. If you get lucky, someone remembers encountering what sounds like your issue before. Otherwise...
-
RE: .xml files?
@enesoz said:
Yes I think thats an exporter..any other solutions?
Without knowing what wrote the files, the only possible solution is to investigate the XML contents and see what schema(s) they use. This may let you backtrack to where you can convert them to a format that SketchUp can import, but SketchUp does not understand arbitrary XML (nor does any other program, for that matter!).
-
RE: Slow Save Sketchup 2015 Mac
@schnipschnap said:
Hi
I tried about everyting.. still saving takes a long time.My drawing consists almost enterely of circles and arcs. (I build Dome Tents and Houses)
I always used 1000 sides for circles to get a detailed drawing.
Now i know thats too much...
I used Autocad before, where circles are calculated somehow different, so i nerver thought this could be a problem. Now i know it isHow many sides do you use?
Does anyone know how to change number of sides in a entire model?
Or do i just have to redraw the whole thing?Thanks for the help!
Have you tried Window->Model Info->Statistics to see how many Edges and Faces your model contains? Edges don't take much data, so you could have an enormous number without getting all that large a file. The slow save might be SketchUp making sure the model is valid while saving it.
Unlike Autocad, SketchUp does not have an abstract representation of a circle or arc. It represents one as a collection of Edge segments with some metadata tagging them as belonging them to a circle or arc. So, when you choose to use 1000 sides, you are affecting not just the visual presentation but also the size of the model, because each segment is saved individually. For what it is worth, unless you enlarge your view enormously you are very unlikely to see any difference in the view from increasing the sides to more than a couple hundred.
There is no way to manually change the number of sides in every circle and arc at one go. Someone could probably write a Ruby to do it, but I don't know of an existing one.
-
RE: Copying holes in a slab
Before getting to your question, there are some basic aspects to understand about "Intersect Faces". The Intersect Faces->With choices are confusing if you don't understand these "features" (or maybe even if you do
).
Intersect Faces works only when you have at least one Face, Group, or ComponentInstance selected, and implicitly it always means "intersect the selected Face(s) with other Faces". It does not look for intersections with Edges. When you select a Group or ComponentInstance, its Faces are included as if part of the selection, though they are not individually selected. You can pre-select multiple objects, or if you right-click on something, it is implicitly selected. Newbies: selecting a Group or ComponentInstance is not the same as opening it for edit!
Second, the resulting Edges are always placed into the currently open edit context - the model, a Group, or a ComponentDefinition. If there is no Component or Group currently open for edit, the new Edges will always go into the model as free geometry regardless of what is selected. Conversely, if a Group or Component is open for edit, the new Edges will go into that Group or ComponentDefinition. This context placement determines what other geometry the new Edges may cut, since Edges will never cut anything from a different context. The context where the new Edges will go is perhaps the most confusing aspect for Newbies.
So then, the Intersect Faces->With options affect what Faces are considered for intersection with the selected Faces:
With Model -> consider Faces in every object selectable from the model context. This includes Faces in any Group or ComponentInstance.
With Context -> consider Faces only within the current edit context. This option is offered only if a Group or Component is currently open for edit.
With Selection -> consider only Faces within the current selection. This option is useful when you want to limit the scope to less than the full model or current context.
-
RE: Perplexing group editing message
What TIG describes is correct for the current version of SketchUp. Your profile says you are still using v8, is that correct? If so there were bugs in the relationship between Groups and Components that were fixed in subsequent releases of SketchUp.
-
RE: Perplexing group editing message
Have you made copies of the Group? Groups and Components have a lot of overlap in their implementation, and in the past there have been some bugs when copies are made of a Group.
-
RE: Camera wide angle
@maccabist said:
to oli : "precise" - i ment that by taking photos panoramically in "2 point perspective" mode it will be acurate to "glue" them together in photoshop (photos from 1/3 , 2/3 , 3/3 height of the building). it will not be accurate in "perspective" mode. by tilt+Shift of course.
I know in Vray there is option to configure the rendered photo to be wider then it apears on the screen.
bless you
You could export a series of 2D graphics in 2-point perspective by shifting the camera's eye point vertically between "shots". These views could then be pasted together in PhotoShop or an equivalent image editor. However, only surfaces directly facing the camera will be projected consistently from shot to shot, and you will have to do some kind of image warping on other surfaces to get them to match. This is because 2-point perspective has two vanishing points located in the horizontal plane of the camera. Surfaces that don't face directly toward the camera taper into the background toward the vanishing points. As you move the camera upward, the vanishing points move upward along with it, meaning that surfaces that are not square to the camera get different perspective in each shot. And again, this is exactly the same effect as you would get with a real camera.
To address your second question, due to the way it generates images, SketchUp has no mechanism to create an image with different content than the view.
-
RE: Camera wide angle
SketchUp's perspective views model the behavior of a real camera. I suspect you are not a photographer, since what you desire could not be done with a real camera either except using the perspective tools olishea proposes. SketchUp's "two-point perspective" just points the camera level, which prevents "converging verticals" just as in a real camera. It does nothing to magically make the camera see more than is possible using the lens and distance you choose.